var r = Object.defineProperty;
var o = (e, n) => r(e, "name", { value: n, configurable: !0 });
import { Facet as i, combineConfig as t } from "../../../../../@codemirror_state@6.5.2/node_modules/@codemirror/state/dist/index.js";
import { Language as m } from "./api/proto/exa/codeium_common_pb/codeium_common_pb.js";
import { DefaultCycleWidget as c } from "./defaultCycleWidget.js";
const d = i.define({
  combine(e) {
    return t(e, {
      language: m.TYPESCRIPT,
      timeout: 150,
      widgetClass: c,
      alwaysOn: !0
    }, {});
  }
}), s = i.define({
  combine(e) {
    return t(e, {
      override: /* @__PURE__ */ o(() => [], "override")
    }, {});
  }
});
export {
  d as codeiumConfig,
  s as codeiumOtherDocumentsConfig
};
